MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027136Open CASCADE[OCCT] OCCT:Visualizationpublic2016-02-05 13:102016-04-20 15:49
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027136: Visualization - skip void bounding box within SelectMgr_SelectableObjectTrsfPersSet::BVH()
DescriptionWithin some scenarios bounding box can be empty causing construction exception.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0050441)
git (administrator)
2016-02-05 13:12

Branch CR27136 has been created by kgv.

SHA-1: 79c5e1f1689e232141111841fc0697eb31a5da70


Detailed log of new commits:

Author: kgv
Date: Fri Feb 5 13:12:36 2016 +0300

    0027136: Visualization - skip void bounding box within SelectMgr_SelectableObjectTrsfPersSet::BVH()
(0050442)
kgv (developer)
2016-02-05 13:13

Please test the patch, test case is not needed.
(0050535)
mkv (tester)
2016-02-09 14:58

Dear BugMaster,
Branch CR27136 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 79c5e1f1689e232141111841fc0697eb31a5da70

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 1 (1 on master)

products component :
Linux: 36 (36 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90604302 / 89971703 [+0.70%]
Total CPU difference: 19159.42999999994 / 19072.559999999925 [+0.46%]
products component :
Total MEMORY difference: 25574018 / 25530603 [+0.17%]
Total CPU difference: 8503.729999999996 / 8192.089999999991 [+3.80%]

Testing on Windows:
occt component :
Total MEMORY difference: 57305141 / 57306640 [-0.00%]
Total CPU difference: 18620.950164298785 / 18107.192070998844 [+2.84%]
products component :
Total MEMORY difference: 17255418 / 17265139 [-0.06%]
Total CPU difference: 6108.141154500002 / 5549.173971399976 [+10.07%]

There are no differences in images found by testdiff.
(0050536)
mkv (tester)
2016-02-09 14:58

Dear BugMaster,
Branch CR27136 is TESTED.
(0052810)
git (administrator)
2016-04-17 13:07

Branch CR27136 has been deleted by kgv.

SHA-1: 79c5e1f1689e232141111841fc0697eb31a5da70

- Related Changesets
occt: master 4f7e90e0
Timestamp: 2016-02-05 10:12:36
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027136: Visualization - skip void bounding box within SelectMgr_SelectableObjectTrsfPersSet::BVH()
mod - src/SelectMgr/SelectMgr_SelectableObjectTrsfPersSet.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-05 13:10 kgv New Issue
2016-02-05 13:10 kgv Assigned To => kgv
2016-02-05 13:12 git Note Added: 0050441
2016-02-05 13:13 kgv Relationship added child of 0026344
2016-02-05 13:13 kgv Note Added: 0050442
2016-02-05 13:13 kgv Assigned To kgv => bugmaster
2016-02-05 13:13 kgv Status new => resolved
2016-02-05 13:13 kgv Status resolved => reviewed
2016-02-05 15:23 mkv Assigned To bugmaster => mkv
2016-02-09 14:58 mkv Note Added: 0050535
2016-02-09 14:58 mkv Note Added: 0050536
2016-02-09 14:58 mkv Assigned To mkv => bugmaster
2016-02-09 14:58 mkv Status reviewed => tested
2016-02-09 14:59 mkv Test case number => Not needed
2016-02-12 11:37 bugmaster Changeset attached => occt master 4f7e90e0
2016-02-12 11:37 bugmaster Status tested => verified
2016-02-12 11:37 bugmaster Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052810
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker